// JavaScript Document

function chechdata()
{
    var discounttype = document.getElementById("discounttype").value;
    if (discounttype == '-1')
    {
        document.getElementById("buydiscount").value = 0;
        document.getElementById("selldiscount").value = 0;
    }
    else
    {
        if (discounttype == '0')
        {
            var thecurrency = $('#thecurrency').val();
            $(".input-group-addon").html(thecurrency);
        }
        else if (discounttype == '1')
        {
            $(".input-group-addon").html("%");
        }


        if (document.getElementById("buydiscount").value == "")
        {
            document.getElementById("buydiscount").value = 0;
        }

        if (document.getElementById("selldiscount").value == "")
        {
            document.getElementById("selldiscount").value = 0;
        }
    }
}


//add product units
function cat_addUnits()
{
    //alert("fff");
    //var productItr = $("#productItr").val();
    var cat_unitsItr = $("#cat_unitsItr").val();
    cat_unitsItr++;
    //alert(cat_unitsItr);
//$('.select2_custom1').select2();
    $("#cat_unitsTable").append(
            '<tr>'
            + '      <td><div class="form-group">'
            + '              <label class="col-lg-4 control-label">اسم وحدة القياس</label>'
            + '              <div class="col-lg-8">'
            + '           <select name="productcatunit' + cat_unitsItr + '" id="productcatunit' + cat_unitsItr + '" class="select2_custom1 wdt100 chosenproduct"  >'
            + $("#productUnitsDiv").html()
            + '           </select>'
            + '              </div>'
            + '           </div></td>'
            + '          <td><div class="form-group">'
            + '             <label class="col-lg-4 control-label">عدد الوحدات</label>'
            + '             <div class="col-lg-8">'
            + '           <input name="cat_productnumber' + cat_unitsItr + '" id="cat_productnumber' + cat_unitsItr + '" class="form-control" type="text" />'
            + '              </div>'
            + '            </div>'
            + '</td>'
            + '       <td>'
            + '       <a id="cat_remove' + cat_unitsItr + '" onclick="cat_removeUnits(' + cat_unitsItr + ');"  class="cat_removeUnits">X</a>'
            + '		  </td>'
            + '</tr>'
            );
    $('select.select2_custom1').select2();
    $("#cat_unitsItr").val(cat_unitsItr); //assign new iteration value
}

function cat_removeUnits(unitItr)
{
    // delete by parents
    $("#cat_remove" + unitItr).parent().parent().remove();
    return false;
}

$('.productCatt').live('change', function () {
    var id = $(this).val();
    var level = Number($(this).attr('data-level'));
    level = level + 1;
    $('#level').val(level);
    $.post('salesreportajax.php?do=getsubcat2', {id: id, level: level}, function (data) {
        $('.productCatt').each(function () {
            var thisLevel = Number($(this).attr('data-level'));
            if (thisLevel >= level) {
                $(this).parent('div').remove();
            }
        });
        $('#productIdDiv').remove();
        if (Number(data) != -1) {
            $('#manyParents').append(data);
            $("#addParent").css("display", "block"); //show add product category button
            $("#addProduct").css("display", "none"); //show add product button
            $("#productsformDiv").css("display", "none"); //show add product button

        }
        else
        {
            $("#addParent").css("display", "none"); //show add product category button
            $("#addProduct").css("display", "block"); //show add product button
            $("#addProduct").click();//automatically add row
            $("#productsformDiv").css("display", "none"); //show add product button

//                $('#level').val((level - 1));
//                $.post('salesreportajax.php?do=getproducts', {id: id}, function (data) {
//                    $('#manyParents').append(data);
//                });
        }
    });

});


